# =====================================================================
# TestLinkedList01.py: Create double linked list of cartoon characters.
# 
# Written by:                                              January 2023
# =====================================================================

from DoubleLinkedList import DoubleLinkedList
from Person import Person

# main method ...

def main():
    print("--- Enter TestLinkedList02.main()            ... ");
    print("--- ======================================== ... ");

    # Create cartoon characters ...

    print ("--- Part 01: Create cartoon character objects ...")

    person01 = Person( "Max", "Headroom" )
    person01.setAge(42)

    person02 = Person( "Homer", "Simpson" )
    person02.setAge(55)

    person03 = Person( "Bart", "Simpson" )
    person03.setAge(35)

    person04 = Person( "Yogi", "Bear" )
    person04.setAge(65)

    person05 = Person( "Charlie", "Brown" )
    person05.setAge(72)

    # Assemble linked list of cartoon characters ...

    print ("--- Part 02: Assemble list of cartoon characters ...")

    list01 = DoubleLinkedList()
    list01.append(person01)
    list01.append(person02)
    list01.append(person03)
    list01.append(person04)
    list01.append(person05)

    # Print list contents ...

    print ("--- Part 03: Print list ...")

    list01.print_list()

    print("--- ======================================== ... ");
    print("--- Leave TestLinkedList02.main()            ... ");

# call the main method ...

main()
