# =====================================================================
# TestStack01.py: Exercise methods in stack class ...
# 
# Written by:                                              January 2023
# =====================================================================

from Stack import Stack

# main method ...

def main():
    print("--- Enter TestStack01.main()                 ... ");
    print("--- ======================================== ... ");

    print ("--- Part 01: Create empty stack ...")

    stack01 = Stack()
    print( stack01.peek() )

    print ("--- Part 02: Push items onto stack ...")

    stack01.push('blue plate')
    stack01.push('green plate')
    stack01.push('orange plate')
    stack01.push('red plate')
    stack01.push('purple plate')
    stack01.push('magenta plate')

    print ("--- Part 03: Print stack ...")

    stack01.print_stack()

    print ("--- Part 04: Print stack top and bottom data ...")

    print("---    Top data: %s ..." % ( stack01.top.data) )
    print("--- Bottom data: %s ..." % ( stack01.bottom.data) )

    print ("--- Part 05: Pop two items off stack ...")

    stack01.pop()
    stack01.pop()

    print ("--- Part 06: Print final stack ...")

    stack01.print_stack()

    print("--- ======================================== ... ");
    print("--- Leave TestStack01.main()                 ... ");

# call the main method ...

main()
