# =====================================================
# TestLoopingConstructs.py ...
# =====================================================

# main method ...

def main():
    print("--- Enter TestLoopingConstructs.main()       ... ");
    print("--- ======================================== ... ");

    print("--- Exercise simple while loop ...")

    i = 1
    while i < 10:
       print("---    i = %.2f ..." % (i) )
       i += 2

    print("--- Exercise simple while loop with break statement ...")

    i = 1
    while i < 10:
       print("---    i = %.2f ..." % (i) )
       if i == 5:
          break
       i += 2

    print("--- Exercise while loop with else condition ...")

    i = 1
    while i < 6:
       print("---    i = %.2f ..." % (i) )
       i += 1
    else:
       print("---    i is no longer less than 6")

    print("--- Exercise simple for loop ...")

    print("---    Shopping List ")
    print("---    -----------------------------------")

    fruits = ["apple", "peach", "banana", "cherry", "kiwi", "strawberry"]
    for x in fruits:
       print("---    Item: " + x )

    print("---    -----------------------------------")

    print("--- Exercise simple for loop with break statement ...")

    print("---    -----------------------------------")
    for x in fruits:
       print("---    Item: " + x )
       if x == "cherry":
          break

    print("---    -----------------------------------")

    print("--- Exercise simple for loop with range(5) function ...")

    print("---    -----------------------------------")
    for x in range(5):
       print("---    x = %.2f ..." % (x) )
    print("---    -----------------------------------")

    print("--- Exercise simple for loop with range(5,10) function ...")

    print("---    -----------------------------------")
    for x in range(5,10):
       print("---    x = %.2f ..." % (x) )
    print("---    -----------------------------------")

    print("--- Exercise simple for loop with range(0,10,2) function ...")

    print("---    -----------------------------------")
    for x in range(0,10,2):
       print("---    x = %.2f ..." % (x) )
    print("---    -----------------------------------")

    print("--- Exercise nested for loop ...")

    adjective = ["red", "big", "tasty", "spoiled"]
    fruits    = ["apple", "banana", "cherry"]

    for x in adjective:
       for y in fruits:
           print("---    %s %s ..." % (x, y) )

    print("--- ======================================== ... ");
    print("--- Leave TestLoopingConstructs.main()       ... ");

# call the main method ...

main()
