# =====================================================
# Small test program for points ...
# =====================================================

from Point import Point

# main method ...

def main():
    print("--- Enter TestPoints.main()         ... ");
    print("--- =============================== ... ");

    print("--- Part 1: Create and print two points ... ");

    pt1 = Point( 0.0, 0.0 )
    pt2 = Point( 3.0, 4.0 )

    print("--- pt1: (x,y) = %s ..." % (pt1) )
    print("--- pt2: (x,y) = %s ..." % (pt2) )

    print("--- Part 2: Compute distance between points ... ");

    distance = pt1.distance(pt2)
    print("--- Distance between pt1 and pt2 --> %.2f ..." % (distance) )

    print("--- Part 3: Move pt2 (3,4) --> (6,8) ... ");

    pt2.move( 3.0, 4.0 )

    distance = pt1.distance(pt2)
    print("--- Distance between pt1 and pt2 --> %.2f ..." % (distance) )

    print("--- =============================== ... ");
    print("--- Finished TestPoints.main()      ... ");

# call the main method ...

main()
