# ===============================================================
# TestLinkedList01.py: Exercise methods in double linked lists.
# 
# Last Modified:                                     January 2023
# ===============================================================

from DoubleLinkedList import DoubleLinkedList

# main method ...

def main():
    print("--- Enter TestLinkedList01.main()            ... ");
    print("--- ======================================== ... ");

    # Create double linked list of numbers ...

    print("--- Part 1: Create empty double linked list ...");

    list01 = DoubleLinkedList()
    list01.print_list()

    print("--- Part 2: Append elements: 5, 2, 9 ...");
 
    list01.append(5)
    list01.append(2)
    list01.append(9)
    list01.print_list()

    print("--- Part 3: Prepend: 4 ...");

    list01.prepend(4)
    list01.print_list()

    print("--- Part 4: Insert (7,2), i.e., 7 at position 2 ...");

    list01.insert(2,7)
    list01.print_list()

    print("--- Part 5: Insert (0,0), (6,0), (9,3) ...");

    list01.insert(0,0)
    list01.insert(6,0)
    list01.insert(9,3)
    list01.print_list()

    print("--- Part 6: Delete by value 3, then 0 ...");

    list01.delete_by_value(3)
    list01.delete_by_value(0)
    list01.print_list()

    print("--- Part 7: Delete by position 3, then 0 ...");

    list01.delete_by_position(3)
    list01.delete_by_position(0)
    list01.print_list()

    print("--- ======================================== ... ");
    print("--- Leave TestLinkedList01.main()            ... ");

# call the main method ...

main()
